Citations
One cited URL with its daily rate, position and prompts.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidpageId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000competitors?stringComma-separated competitor ids; responses mentioning any
length <= 2000from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$The cited URL
application/jsonpage*days*array<>prompts*array<>brands*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/urls/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "page": { "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809", "url": "string", "title": "string", "domain": "string", "sourceType": "string", "contentType": "string", "owner": "brand", "brandKey": "string", "engines": [ "string" ], "citations": 0, "share": 0, "average": 0, "best": 0, "worst": 0 }, "days": [ { "day": "string", "citations": 0, "responses": 0, "rate": 0, "position": 0 } ], "prompts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "citations": 0, "average": 0 } ], "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/urls/497f6eca-6276-4993-bfeb-53cbbbba6f08'{
"page": {
"pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
"url": "string",
"title": "string",
"domain": "string",
"sourceType": "string",
"contentType": "string",
"owner": "brand",
"brandKey": "string",
"engines": [
"string"
],
"citations": 0,
"share": 0,
"average": 0,
"best": 0,
"worst": 0
},
"days": [
{
"day": "string",
"citations": 0,
"responses": 0,
"rate": 0,
"position": 0
}
],
"prompts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"citations": 0,
"average": 0
}
],
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}